Merge
Keywords: javax.help.Merge class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class Merge

    java.lang.Object
      javax.help.Merge

Direct Known Subclasses:
  AppendMerge, NoMerge, SortMerge, UniteAppendMerge

public abstract class Merge
extends java.lang.Object

Common superclass for all merge types

Nested Class Summary
`static class` | `Merge.DefaultMergeFactory` Default Merge factory which creates concrete Merge objects

Method Summary
`static void` | `mergeNodeChildren(javax.swing.tree.TreeNode node)` Merge Node Children.
`static void` | `mergeNodes(javax.swing.tree.TreeNode master, javax.swing.tree.TreeNode slave)` Merge Nodes.
`abstract javax.swing.tree.TreeNode` | `processMerge(javax.swing.tree.TreeNode node)` Processes merge.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### processMerge

    public abstract javax.swing.tree.TreeNode processMerge(javax.swing.tree.TreeNode node)

  Processes merge. Changes master node according merge rules using slave node.

  Parameters:
    `node` - The master node
  Returns:
    The changed master node

### mergeNodes

    public static void mergeNodes(javax.swing.tree.TreeNode master,
                                  javax.swing.tree.TreeNode slave)

  Merge Nodes. Merge two nodes according to the merging rules of the masterNode. Each Subclass should override this implementation.

  Parameters:
    `master` - The master node to merge with
    `slave` - The node to merge into the master

### mergeNodeChildren

    public static void mergeNodeChildren(javax.swing.tree.TreeNode node)

  Merge Node Children. Merge the children of a node according to the merging rules of the parent. Each subclass must implement this method

  Parameters:
    `node` - The parent node from which the children are merged

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD